module App.DatePicker

open System
open App.Actions
open Feliz

type formattedString = string

[<ReactComponent>]
let DatePicker (currentDate: DateTime, updateDate) =
    Html.input [ prop.type'.date
                 prop.value currentDate
                 prop.onChange (fun (newValue: DateTime) -> updateDate (Msg.ChangeDate(newValue))) ]
